<template>
  <!-- 弹出层 -->
  <div
    class="ext-el-mask"
    style="width: calc(100vw); height: calc(100vh); z-index: 11001"
    :style="{display:display}"
  ></div>
</template>

<script>
export default {
  data() {
    return {
        display:'none'
    };
  },
  mounted(){
    this.$bus.on("openMask",this.openMask)
    this.$bus.on("closeMask",this.closeMask)
  },
  methods:{
    // 打开弹出层
    openMask(){
        this.display = 'block'
    },
    // 关闭弹出层
    closeMask(){
        console.log(1111)
        this.display = 'none'
    }
  },
  components: {},
  name: "Mask",
};
</script>